Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

I have a VPS unmanaged and have installed CentOS 6.3, mysql 5.1.69, php 5.3.3 and apache 2.2.15

No formal or otherwise education in computer programming so trying to follow as many documented guidelines as I can to close any obvious security holes.

Is it is best practice to use only current versions of each ? Are the ones I am using now too out dated?

share|improve this question
    
If the software follows Semantic Versioning, you have to prepare well for adapting your web application to the major release. Prior testing is necessary before upgrading in a rush. –  Ivan Chau Oct 20 '13 at 6:19
    
Thank you for this interesting link, although I must admit it causes some dilemma in my mind. –  cea Oct 20 '13 at 6:31
    
add comment

1 Answer

up vote 5 down vote accepted

Unless you have a particular reason, just use the packages provided by your distribution. That is, after all, the point of using a Linux distribution. You get stability, some expectation of compatibility, and security updates — all with the convenience of yum update.

If you are running an application that requires a particular version, or if your whole business revolves around your web application, you'll know to make an exception.

MySQL and PHP, in particular, are notorious for having version-specific bugs or changes in behaviour. The MySQL release notes are full of design decisions that were implemented in one micro-release, only to be reverted in a later release.

share|improve this answer
    
Can you tell me if like this command /sbin/chkconfig --level 345 yum on; /sbin/service yum start you can also auto update all else? –  cea Oct 19 '13 at 4:32
    
If you want yum to autoupdate just make a suitable script and place it/symlink it in /etc/cron.daily/. See cyberciti.biz/faq/… –  M_dk Oct 19 '13 at 4:51
    
Brilliant, thanks very much for your help. –  cea Oct 19 '13 at 4:55
    
Personally, I really dislike fully automated upgrades; apt-get update; apt-get -uf upgrade doesn't take much time if you do it once a week plus emergencies, and it means you're on-hand if an upgrade goes badly for some unforeseen reason. –  Shadur Jan 31 at 10:13
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.